/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class FishBagPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Main";
        public override string UIResName => "FishBagPanel";

        [AutoFind(Name = "back")]
        public GImage back;
        [AutoFind(Name = "BottomMenu")]
        public BottomMenu BottomMenu;
        public override string[] GetDependPackages(){ return new string[] {"Common","CommonNew"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<FishBagPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<FishBagPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<FishBagPanel>(); }

    }
}